import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;

public class FormVerwalterListe {

  private List<Form> formen = new ArrayList<>();

  private static int randomZahl(int min, int max) { // Hilfsmethode
    return (int) Math.round(min + Math.random() * (max - min));
  }

  public FormVerwalterListe() {
    for(int i = 0; i < 10; i++) {
      switch (randomZahl(0, 3)) {
        case 0 -> { formen.add(new Quadrat(randomZahl(1, 10))); }
        case 1 -> { formen.add(new Rechteck(randomZahl(1, 10), randomZahl(1, 10))); }
        case 2 -> { formen.add(new Dreieck(randomZahl(1, 10))); }
        case 3 -> { formen.add(new Kreis(randomZahl(1, 10))); }
      }
    }
  }

  public void sortieren(){
    formen.sort(new Comparator<Form>() {
        public int compare(Form o1, Form o2) {
          return o1.getFlaeche() - o2.getFlaeche();
        }
      });
  }

  public void ausgabenInfo() {
    for(int i = 0; i < formen.size(); i++) {
      System.out.printf("Form %d: %s\n", (i + 1), formen.get(i).getInfo());
    }
  }
}